using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Orders
{
    /// <summary>
    /// 政民互动公开
    /// </summary>
    public class OrderProvinceZmhd : CreationEntity
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn( ColumnDescription = "工单编号")]
        public string No { get; set; }

        /// <summary>
        /// 省工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "省工单编号")]
        public string ProvinceNo { get; set; }

        /// <summary>
        /// 工单Id
        /// </summary>
        [SugarColumn(ColumnDescription = "工单Id")]
        public string OrderId { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        [SugarColumn(ColumnDescription = "工单标题")]
        public string Title { get; set; }

        /// <summary>
        /// 部门答复时间
        /// </summary>
        [SugarColumn(ColumnDescription = "部门答复时间")]
        public DateTime? AnswerTime { get; set; }

        /// <summary>
        /// 答复部门名称
        /// </summary>
        [SugarColumn(ColumnDescription = "答复部门名称")]
        public string AnswerOu { get; set; }

        /// <summary>
        /// 答复内容
        /// </summary>
        [SugarColumn(ColumnDataType = "text", ColumnDescription = "答复内容")]
        public string AnswerContent { get; set; }

        /// <summary>
        /// 初审人姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "初审人姓名")]
        public string? AuditFirstName { get; set; }

        /// <summary>
        /// 初审时间
        /// </summary>
        [SugarColumn(ColumnDescription = "初审时间")]
        public DateTime? AuditFirstTime { get; set; }

        /// <summary>
        /// 二审人姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "二审人姓名")]
        public string? AuditSecondName { get; set; }

        /// <summary>
        /// 公开时间
        /// </summary>
        [SugarColumn(ColumnDescription = "公开时间")]
        public DateTime? PublishDate { get; set; }

        /// <summary>
        /// 公开意见
        /// </summary>
        [SugarColumn(Length = 300, ColumnDescription = "公开意见")]
        public string? PublicOpinion { get; set; }
    }
}
